# vue-kiwi
![npm version](https://img.shields.io/npm/v/vue-kiwi.svg)
> Static Wiki Generator powered by Nuxt.js (WIP, not stable)

Made for lazy-human who do not want to make any front-matter or configuration in .md file.

```
_kiwi
\__ index.md
\__ about.md
\__ programming
    \__ javascript.md
\__ life
    \__ reviews
        \__ AAAA.md
        \__ ABBB.md
        \__ CCC.md
static
\__ images
    \__ demo.png
```
and `vue-kiwi dev` to watch your blogs in localhost:3001
and `vue-kiwi generate` will generate static files for your github pages

---

## Installation

> This project is in development. Do not use this project in production. 
You should install [node-gyp](https://github.com/nodejs/node-gyp#on-windows) to install node-sass properly if you are using Windows.
``` bash
$ npm install -g vue-kiwi 
# or you can just install in local and use npx
```

## Usages

``` bash
$ vue-kiwi init
$ vue-kiwi clean # recommanded
$ vue-kiwi generate # done!
```

## Deployment
you can just upload current folder to Github Pages.
If you don't want to upload your .md files, just add it to .gitingore
``` bash
$ git init
$ git remote add origin https://github.com/{nick}/{nick}.github.io.git
$ git add .
$ git commit -m "{msg}"
$ git push origin master (--force)
```
## TO-DO (WIP)
 - custom .scss, .css, .vue layout support
 - add Katex support
 - **remove dependencies on nuxt.js**
 - SEO friendly
 - support gitment, disqus
## TO-DO (not scheduled)
 - i18n
 - zero configuration support
 - add ESlint, UnitTest
 - one-touch github page deployment

## Demo
  My [Github pages](https://agrajak.github.io).

Feel free to contact me (korbots@gmail.com) if you have any issues or want to give me help.
