#!/usr/bin/env node
const meow = require('meow')
const path = require('path')
const fs = require('fs-extra')
const del = require('del')
const cli = meow(`
	Usage
    $ vue-kiwi <command>
    🌈 simple static wiki generator powered by nuxt.js! 🌈
  Commands
    dev
    generate
    init
    clean: delete every files except (/_kiwi, /static, kiwi_config.js, and /_* folders), highly recommended before generate
	Options
    --kiwiPath (-kp): default kiwi directory (default is ./kiwi)
    --jsonPath (-mp): default .json folderpath (default is current working directory)
    --port (-p): default port (default is 3001)
  
`, {
	flags: {
    kiwiPath:{
      type: 'string',
      alias: 'kp',
      default: './_kiwi'
    },
    jsonPath:{
      type: 'string',
      alias: 'jp',
      default: process.cwd()
    },
    port: {
      type: 'string',
      default: '3001'
    }, 
    debug: {
      type: 'boolean',
      default: false
    }
	}
});
(async()=>{
  if(cli.input[0] == 'init'){
    console.log('* start init!')
    await fs.copy(path.join(__dirname, 'init'), process.cwd())
    console.log('* init jobs done!')
  }
  else if(cli.input[0] == 'clean'){
    await del(['*', '!_*', '!static', '!kiwi.config.js', '_*.*', '!.*', '!.*.*'])
  }
  else if(cli.input[0] == 'dev' || cli.input[0] == 'generate'|| cli.input[0] == 'build'){
    require('.')(cli.input[0], cli.flags)
  }
  else {
    console.log('* invalid command! type vue-kiwi --help!')
  }
})()
// TODO: validate path 
