const express = require('express')
const fs = require('fs-extra')
const path = require('path')
const renderer = require('./renderer')
const router = express.Router()
router.get('/routes', async (req, res)=>{
  console.log(req)
  
  if(!req.kiwiConfigs){
    // TODO : error handling
    console.log('* no kiwi options!')
    return res.sendStatus(500)
  }

  if(!req.kiwiPayload){
    console.log('* no kiwi payload!')
    return res.sendStatus(500)
  }
  const { kiwiMap, baseContents } = req.kiwiPayload

  if(req.query && req.query.target){
    // TODO: normalize for kiwi url
    console.log(req.query.target)

    const map = kiwiMap
    if (map.find(x=>x.route == req.query.target)){
      const { payload } = map.find(x=>x.route == req.query.target)
      return res.send(Object.assign(baseContents, await renderer(req.kiwiConfigs, payload))) 
    }
  }
  return res.sendStatus(500)
})
module.exports = router